# Uses of Interface
org.springframework.core.OrderComparator.OrderSourceProvider

Packages that use OrderComparator.OrderSourceProvider
Package
Description
org.springframework.core
Provides basic classes for exception handling and version detection, and other core helpers that are not specific to any part of the framework.

## Uses of OrderComparator.OrderSourceProvider in org.springframework.core

Methods in org.springframework.core with parameters of type OrderComparator.OrderSourceProvider
Modifier and Type
Method
Description
`Comparator<Object>`
OrderComparator.`withSourceProvider(OrderComparator.OrderSourceProvider sourceProvider)`
Build an adapted order comparator with the given source provider.